# Function: readCachedProjectGraph

▸ **readCachedProjectGraph**(): [`ProjectGraph`](../../devkit/documents/ProjectGraph)

Synchronously reads the latest cached copy of the workspace's ProjectGraph.

**`Throws`**

if there is no cached ProjectGraph to read from

#### Returns

[`ProjectGraph`](../../devkit/documents/ProjectGraph)
